# PSF-LoginServer - master - net.psforever.objects.serverobject.environment.DeepPlane
PSF - LoginServer - master - net.psforever.objects.serverobject.environment.DeepPlane
Keywords: PSF LoginServer master net.psforever.objects.serverobject.environment.DeepPlane

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package environment
  Definition Classes
    serverobject
- DeepCircularSurface
- DeepPlane
- DeepSquare
- DeepSurface
- EnvironmentAttribute
- EnvironmentCollision
- EnvironmentTrait
- EscapeFromEnvironment
- GantryDenialField
- InteractWithEnvironment
- InteractingWithEnvironment
- OxygenStateTarget
- PieceOfEnvironment
- Pool
- RecoveredFromEnvironmentInteraction
- RespondsToZoneEnvironment
- SeaLevel

c

net.psforever.objects.serverobject.environment

# DeepPlane

###

#### final case class DeepPlane(altitude: Float) extends EnvironmentCollision with Product with Serializable

A mathematical plane that is always perpendicular to world-up. The modifier "deep" indicates that the valid area goes down from the altitude to the bottom of the world.

altitude

  the z-coordinate of the geometry (height)

Source
  EnvironmentCollision.scala

Linear Supertypes
Serializable, Product, Equals, EnvironmentCollision, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DeepPlane
2. Serializable
3. Product
4. Equals
5. EnvironmentCollision
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new DeepPlane(altitude: Float)

   altitude

     the z-coordinate of the geometry (height)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val altitude: Float

   in general, the highest point in this geometry

   in general, the highest point in this geometry

   Definition Classes
     DeepPlane → EnvironmentCollision
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def bounding: Rectangle
   Definition Classes
     DeepPlane → EnvironmentCollision
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  def productElementNames: Iterator[String]
    Definition Classes
      Product
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  def testInteraction(pos: Vector3, varDepth: Float): Boolean

    Is the test point "within" the bounds of the represented environment?

    Is the test point "within" the bounds of the represented environment?

    pos

      the test point

    varDepth

      how far "into" the environment the point must be

    returns

      `true`, if the point is sufficiently "deep"; `false`, otherwise

    Definition Classes
      DeepPlane → EnvironmentCollision
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from EnvironmentCollision

### Inherited from AnyRef

### Inherited from Any

### Ungrouped